<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	include '../src/function_cms.php';
	$conn = init_sqlite();
	$browser_array 	= browser($_SERVER['HTTP_USER_AGENT']);
	$browser_name	= $browser_array[0];
	$browser_ver	= $browser_array[1];

	// 初期化
	$_SESSION['errmsg'] = NULL;
	
	if ($_GET["call_level"] == 2){		//  サブ（編集ページから直接ではなく、表確認ページ、ネットショップ商品管理ページ等）からcallされた場合
		$pre_path 				= "../";
		$pre_path_ptn 			= "\.\.\/";
	}else{
		$pre_path 				= "";
		$pre_path_ptn			= "";
	}

// 添付ファイル名の取り出し
$file_name = $_FILES['filename']['name'];
//echo '$file_name='.$file_name;	// debug
if ($file_name <> null){
	$_SESSION['upload_file'] = NULL;
	// [参照]のクリック後[選択画像確認]がクリックされた場合
	// ファイル（MIME）タイプの取り出し
	$file_type = $_FILES['filename']['type'];
	// 一時ファイル名の取り出し
	$temp_name = $_FILES['filename']['tmp_name'];
	// 画像
	// 保存先のディレクトリ
	//$domain_user_name = domain_user_name();
	$dir = '../data/uploads/';
	// 保存先のファイル名
	$time 			= time();
	$now_time 	= date('YmdHis', $time);	//画像ファイル名が重複しないようにする。
	$file_name_arry = explode(".", $file_name);		//ファイル名と拡張子を分離して取り出す。
	//$upload_name = $dir . $file_name_arry[0] . $now_time . "." . $file_name_arry[1];
	$upload_name = $dir."sns_ogp_data_ogp_img_".$_GET["index"]."_".$now_time.".".$file_name_arry[1];
	
	$_SESSION['upload_file'] = $upload_name;					//回転を指定され直した場合の削除用
	
	
	//echo "<br>file_type=".$file_type;			// debug
	// JPEG or PNG pr GIF形式のファイルをアップロードする
	if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') || 
		($file_type == 'image/png')  || ($file_type == 'image/x-png')   ||
		($file_type == 'image/gif')) {	
		//echo "<br>upload";
		// 画像サイズをホームページ用に変更する。
		// 画像の幅と高さを取り出す
		$image_size = getimagesize($temp_name);
		$width = $image_size[0];
		$height = $image_size[1];
		//ホームページ用画像サイズを算出する。
		//if (!(($rotate == 90) || ($rotate == 270))) {		//画像を左右に回転させない場合
		//	$w_max = 520;				//横幅MAX
		//	$h_max = 600;				//縦MAX
		//} else {
			$w_max = 486;				//横幅MAX
			$h_max = 486;				//縦MAX
		//}
		
		
		if (($height > $h_max) || ($width > $w_max)) {		//画像サイズがmaxを超えている場合
		   if ( ($height * ($w_max/$width)) >= $h_max ) {
			  $after_height = $h_max;
			  $after_width = round($width * $after_height/$height);
		   } else {
			  $after_width = $w_max;
			  $after_height = round($height * $after_width/$width);
		   } 
		} else {
			$after_width = $width;
			$after_height = $height;
		}
		//画像サイズを変更する。	    
		//画像ヘッダを追加する。（不要みたい）
		if (($file_type == 'image/jpeg') || ($file_type == 'image/pjpeg') ) {
	//	    	header('Content-type: image/jpeg');
			$source = imagecreatefromjpeg($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			//imagecopyresized($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height); //これだと画像が粗くなる
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			
			imagejpeg($after_img,$upload_name);
			imagedestroy($source);
	
		} elseif (($file_type == 'image/png')  || ($file_type == 'image/x-png')){
		//echo "<br>png";
			$source = imagecreatefrompng($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagepng($after_img,$upload_name);
			imagedestroy($source);
	
		} else {														//gifの場合
			$source = imagecreatefromgif($temp_name);
			$resize_img = imagecreatetruecolor($after_width, $after_height);
			$bg_color = imagecolorallocatealpha($resize_img, 255, 255, 255, 127);
			imagefill($resize_img, 0, 0 , $bg_color);
			imagesavealpha($resize_img, TRUE);
			imagecopyresampled($resize_img, $source, 0, 0, 0, 0, $after_width, $after_height, $width, $height);
			$after_img = $resize_img;								//回転指定なしの場合
			imagegif($after_img,$upload_name);
			imagedestroy($source);
		}
				
	} else {
		// JPEG、PNG、GIF形式以外のファイルはアップロードしない
		$_SESSION['errmsg'] = $_SESSION['errmsg']."JPEG、PNG、GIF形式の画像以外は添付出来ません！<br>\n";
	}
}

if ($_SESSION['errmsg']<>NULL) {
	echo '<br>$_SESSION[errmsg]='.$_SESSION['errmsg'];	// debug
}

$_SESSION["ogp_title"] 				= $_POST["ogp_title"];
$_SESSION["ogp_description"] 		= $_POST["ogp_description"];

$_SESSION["file_fullname"]			= $_POST['file_fullname'];
$_SESSION["sns_req_url"]			= $_POST['sns_req_url'];
$_SESSION["tweet_button_input"]		= $_POST['tweet_button_input'];
$_SESSION["like_button_input"]		= $_POST['like_button_input'];
$_SESSION["share_button_input"]		= $_POST['share_button_input'];
$_SESSION["google_button_input"]	= $_POST['google_button_input'];
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>Fineditor｜ソーシャルボタンの選択確認</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<link href="../cssfiles/lightbox.css" rel="stylesheet" type="text/css" media="screen" >
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
	var ua=window.navigator.userAgent;									// 現在のブラウザでのユーザエージェントを表す文字列をuaにセット
	msie 		= false;
	edge 		= false;
	safari		= false;
	firefox 	= false;
	browser 	= "";
	if(ua.match(/MSIE/) || ua.match(/Trident/)) {						// uaの中に「MSIE」「Trident」が含まれる場合
		msie = true;
		browser = "IE";
	}else
	if (ua.indexOf("Edge") > -1) {										// uaの中に「Edge」が含まれる場合
		edge = true;
		browser = "Edge";
	}else
	if (ua.indexOf("Safari") > -1) {
		safari = true;
		browser = "Safari";
	}else
	if (ua.indexOf("Firefox") > -1) {
		firefox = true;
		browser = "Firefox";
	}
	function sns_btn_insert_click() {
		if (browser == "IE") {							// IEではwindow.openでリファラーが渡らないため、aタグクリックで渡す。(CSRF対策)
			var atag = document.createElement("a");
			atag.setAttribute("href", "wysiwyg_sns_mng_btn_insert.php");
			atag.setAttribute("target", "_blank");
			atag.style.display = "none";
			document.body.appendChild(atag);
			atag.click();
		}else{
			subwindow = window.open('wysiwyg_sns_mng_btn_insert.php','ＳＮＳボタン＆ダミーページ挿入','width=800,height=400,left=100,top=100,location=0');
		}
	}
	function sns_btn_insert() {
		<?php 
		if ($browser_name <> "MSIE") {
			echo 'subwindow.close();';										// firefoxの場合、編集エリアからマウスのフォーカスが外れているとアラートが出力されるが子ウインドウに隠れるため、子ウインドウを閉じる。
		}
		?>
		call_level 		= <?php echo $_GET["call_level"];?>;
		edit_area 		= "edit_area"+call_level;
		class_edit_area = ".edit_area"+call_level;
		
		var edit_sns_btn = $("#sns_btn_html").html();							// idセレクターmap_htmlで指定された要素の中身をedit_shopにセットする。
		//alert("edit_sns_btn="+edit_sns_btn);
		/***************************************************************************************************************************************************/
		// document.execCommandには［ＳＮＳボタン挿入］コマンドは存在しないため、一旦ダミーのイメージファイルを挿入してから目的のコードで置き換える。
		/***************************************************************************************************************************************************/
		var edit_area = window.opener.document.querySelector(class_edit_area);				// 親の親ページでclassセレクターedit_areaの要素をedit_areaにセットする。
		edit_area.focus();																		// 編集エリアにフォーカスをあてる。
		
		<?php
		if ($_GET["proc"] == "add") {																// SNSボタン挿入の場合
			echo '
			window.opener.document.execCommand("insertImage", false, "'.$pre_path.'images/dummy.gif");		// 親の親ページにダミーのイメージファイルを挿入
			var contents = window.opener.$(class_edit_area).html();									// classセレクターedit_areaで指定される要素（編集領域）の中身（html)をcontentsにセットする。
			if ( !(contents.match(/<img src="'.$pre_path_ptn.'images\/dummy.gif"/)) ) {				// マウスのフォーカスが編集エリアから外れている場合は、ダミーのイメージファイルは挿入されない（目的の地図も挿入されない）ため、それを利用してチェックする。
				alert("マウスのフォーカスが編集エリアから外れています！\n編集エリアの挿入位置をクリックしてから[挿入]をクリックしてください。");	
				return;
			}else{
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif">/g , edit_sns_btn);			// contents内のダミーのイメージファイルの表示コード（<img src="../images/dummy.gif">）を目的の内容で置き換える。
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="text-align: left;">/g , edit_sns_btn);	// ※編集を繰り返すと「style="text-align: left;」が入ってしまう場合があるため、その場合に対応する。
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="background-color: transparent;">/g , edit_sns_btn);
				//window.opener.document.getElementById("edit_area").innerHTML = contents;				// 親の親ページのidセレクターedit_areaで指定される要素（編集領域）の中身をcontentsで置き換える。
				window.opener.document.getElementsByClassName("edit_area'.$_GET["call_level"].'")[0].innerHTML = contents;
			}';
		}else{																							// SNSボタン修正の場合
			echo 'var edit_sns_btn_in = $(".editable_sns_btn").html();';
			echo 'window.opener.$(".editable_sns_btn:eq('.$_GET["index"].')").html(edit_sns_btn_in);';			// 編集エリアでclassセレクターeditable_mapで指定される$_GET["index"]番目の要素(div)の中身にedit_shopをセットする。
		}
		?>
		if (msie) {
			window.open("_blank","_self").close();												// このページを閉じる
		}else {
			window.open("about:blank","_self").close();												// このページを閉じる
		}
		
	}

</script>
<!--<script src="../js/facebook_code.js"></script>-->
<script src="../js/twitter_code.js"></script>
</head>


<body style="padding-left:10px;">
<?php include("facebook_code_basic.php");?>

<div id="container" style="width:800px;">
<div  class="page_title">ソーシャルボタンの選択（確認）</div>
<br class="clear_both">
<span class="guide">以下の１、２を確認し【ＳＮＳボタン挿入】ボタンをクリックしてください。</span><br>
<?php
if ($browser_name == "MSIE" || $browser_name == "Edge" || $browser_name == "Opera") {
	echo '<span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリックしてください。</span>';
}else{
	echo '<span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリック（又は右クリック）してください。</span>';
}
?>
<br>
<div class="errmsg">まだ挿入されていません！</div>
<p class="guide3">１．挿入するソーシャルボタン</p>
<div id="sns_btn_html">
<br><!-- ＳＮＳボタンの前に挿入可能とするため -->
<div class="editable_sns_btn" contenteditable="false">
<div class="clear_cover_on"></div><!-- SNSボタンの透明カバー（編集エリア、確認ページでSNSボタンのクリックを不可にする為） -->
<?php
//echo '$_SERVER["HTTPS"]='.$_SERVER['HTTPS'];	// test
// facebookダミーページ


// 保存先のファイル名
$script_path 	= script_path();
//echo '$script_path ='.$script_path;	// test
$script_path_arry 			= explode("/popups/", $script_path);

if ($_GET["proc"] == "add") {
	$time 			= time();
	$now_time 		= date('YmdHis', $time);			//ファイル名が重複しないようにする。
	
	$file_fullname_w			= "/facebook_dummy_page/page_data_".$_GET["index"]."_".$now_time.".php";
	$_SESSION["dummy_page_url"]	= $script_path_arry[0].$file_fullname_w;
	$_SESSION["file_fullname"]	= "..".$file_fullname_w;
	
}else{
	$_SESSION["dummy_page_url"]	= $script_path_arry[0].substr($_POST["file_fullname"],2);
}
//echo '<br>$_SESSION["dummy_page_url"]='.$_SESSION["dummy_page_url"];	// test
if ($_SESSION["tweet_button_input"]) {
	echo '<div class="twitter_button"><a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$_SESSION["dummy_page_url"].'" data-text="" data-lang="ja" data-size="large">ツイート</a></div>';
}

if ($_SESSION["share_button_input"]) {
	echo '<div class="facebook_share_button"><div class="fb-share-button" data-href="'.$_SESSION["dummy_page_url"].'" data-layout="button_count" data-size="large" data-mobile-iframe="true"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fplugins%2F&amp;src=sdkpreparse" class="fb-xfbml-parse-ignore">シェア</a></div></div>';
}	// facebookプラグイン（シェアボタン）
if ($_SESSION["like_button_input"]) {
	echo '<div class="facebook_button"><div class="fb-like" data-href="'.$_SESSION["dummy_page_url"].'" data-layout="button" data-action="like" data-size="large" data-show-faces="false" data-share="false"></div></div>';
}	// facebookプラグイン（いいね！ボタン）
//if ($tweet_btn_umu && $facebook_btn_umu && $fb_share_btn_umu) echo "<br class="clear_both">";
if ($_SESSION["google_button_input"]) {
	echo '<div class="google_button"><g:plusone size="standard" href="'.$_SESSION["dummy_page_url"].'"></g:plusone></div>';
}	// google+ボタン


// 修正時用入力情報(編集エリアでダブルクリック（又は右クリック）されたときに「wysiwyg_shop_item_mng_javascript_to_php.php」に遷移し情報を採取するため)
echo '<div class="file_fullname" style="display:none;">'.$_SESSION["file_fullname"].'</div>';
echo '<div class="sns_req_url" style="display:none;">'.$_SESSION["sns_req_url"].'</div>';
echo '<div class="tweet_button_input" style="display:none;">'.$_SESSION["tweet_button_input"].'</div>';
echo '<div class="like_button_input" style="display:none;">'.$_SESSION["like_button_input"].'</div>';
echo '<div class="share_button_input" style="display:none;">'.$_SESSION["share_button_input"].'</div>';
echo '<div class="google_button_input" style="display:none;">'.$_SESSION["google_button_input"].'</div>';
echo '<div class="upload_file" style="display:none;">'.$_SESSION["upload_file"].'</div>';
echo '<div class="ogp_title" style="display:none;">'.$_SESSION["ogp_title"].'</div>';
echo '<div class="ogp_description" style="display:none;">'.$_SESSION["ogp_description"].'</div>';
echo '<div class="dummy_page_url" style="display:none;">'.$_SESSION["dummy_page_url"].'</div>';

echo '</div>';	//<!-- end sns_btn -->
echo '<br class="clear_both">';	// ＳＮＳボタンの後に挿入可能とするため
echo '</div><!-- sns_btn_html -->';

echo '<br class="clear_both">';
echo '<p class="guide3">２．ボタンがクリックされたときにＳＮＳ側に表示される「画像/写真」「タイトル」「説明」</p>';
echo '<div class="item_title2">画像/写真</div>';
echo '<br class="clear_both">';
echo '<div class="p_sel_img2">';
echo '<img src="'.$_SESSION['upload_file'].'">';
echo '</div>';
echo '<br class="clear_both">';
echo '<div class="item_title2">タイトル</div>';
echo '<br class="clear_both">';
echo '<div class="contents_area">　'.$_SESSION["ogp_title"].'</div>';
echo '<br class="clear_both">';
echo '<div class="item_title2">説明文</div>　<span class="aka1">※SNS側では改行されません。</span>';
echo '<br class="clear_both">';
echo '<div class="contents_area">　'.$_SESSION["ogp_description"].'</div>';
echo '<br class="clear_both"><br>';
//echo '$_SESSION["req_uri_sns_btn_sel"]='.$_SESSION["req_uri_sns_btn_sel"],'<br>';	// debug

?>
<!--<form action="wysiwyg_sns_mng_btn_insert.php?proc=<?php// echo $_GET["proc"]."&call_level=".$_GET["call_level"]."&index=".$_GET["index"]."sns_req_url=".$_POST["sns_req_url"];?>" method="POST" target="_blank"> -->
<!--<div class="btn"><input type="button" value="ＳＮＳボタン挿入" onClick="window.open('wysiwyg_sns_mng_btn_insert.php','ＳＮＳボタン＆ダミーページ挿入','width=800,height=400,left=100,top=100,location=0'); return false;"></div>-->
<div class="btn"><input type="button" value="ＳＮＳボタン挿入" onClick="sns_btn_insert_click();"></div>
<?php
//if ($browser_name == "MSIE") {
	//echo '<div class="btn"><input type="submit" value="ＳＮＳボタン挿入"></div>';
//}else{
	//echo '<div class="btn"><input type="button" value="ＳＮＳボタン挿入" onClick="window.open(\'wysiwyg_sns_mng_btn_insert.php?proc='.$_GET["proc"].'&call_level='.$_GET["call_level"].'&index='.$_GET["index"].'\',\'ＳＮＳボタン＆ダミーページ挿入\',\'width=800,height=400,left=100,top=100,location=0\'); return false;"></div>';
//}
?>
<div class="btn"><input type="button" value="戻る" onClick="location='wysiwyg_sns_mng.php?proc=<?php echo $_GET["proc"]."&call_level=".$_GET["call_level"]."&index=".$_GET["index"]."sns_req_url=".$_POST["sns_req_url"]."&modoru=1"; ?>'"></div>
<!--</form>->
<br class="clear_both">


</div><!-- end class="p_contents_subarea" -->
<br class="clear_both">

</div><!-- end id="mainarea"-->

</div><!-- end id="contents_page"-->
<br class="clear_both">


</div><!-- end id="container"-->
<!-- googole+ボタン用　最後の +1 ボタン タグの後に次のタグを貼り付けてください。 -->
<script src="https://apis.google.com/js/platform.js" async defer></script>

</body>
<script>window.focus();</script>
</html>
